Bug 186093 - Display toggle (Fn F5) not noticed on Acer Aspire 3002LCi, making it impossible to use an external monitor.
Display toggle (Fn F5) not noticed on Acer Aspire 3002LCi, making it impossib...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Desktop
Depends On:
Blocks: 183415
  Show dependency treegraph
Reported: 2006-03-21 11:30 EST by Suzanne Hillman
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-05 09:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-21 11:30:28 EST
Description of problem:
Display toggle (Fn F5) not noticed on Acer Aspire 3002LCi, making it impossible
to use an external monitor. It is not seen by 'xev', thus the kernel component,
instead of the xorg component.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Obtain an Acer Aspire 3002LCi installed with FC5. 
2. Attatch an external monitor. 
3. Attempt to switch between the laptop screen and the external monitor via <Fn>
Actual results:
No effect.

Expected results:
Should be able to switch between one, the other, and both.

Additional info:
Comment 1 Dave Jones 2006-03-21 14:33:00 EST
I don't think I've encountered a laptop where the Fn keys generate a keycode yet.
It's typically magic BIOS SMI stuff.  There is an ACPI fix that *might* have
something to do with it in the latest kernel on my people page. Give it a try?
Comment 2 Suzanne Hillman 2006-03-21 16:30:35 EST
fn keys: Ah, ok. I was wondering if it was something talking more directly to
the hardware, but could never quite tell.

Would that fix also solve other Fn keys stuff on other laptops?

(also, checking if it helps things; will comment either way)
Comment 3 Suzanne Hillman 2006-03-21 17:03:35 EST
I note that that kernel _did_ fix the problem with being unable to switch
between the displays. Thank you! I am reluctant to close when it's not a
released kernel, though.
Comment 4 Suzanne Hillman 2006-03-21 17:04:36 EST
Ok, sorta fixed it. It was working, but now I can't get it out of going to both
screens mode. I could switch between them until it got to both screen mode...
Comment 5 Dave Jones 2006-04-25 00:11:26 EDT
what actually happens when you hit those keys is out of the kernels hands.  As I
mentioned, it's magic BIOS stuff. The kernel is blissfully unaware that anything
even happened when we take an SMI trap.

Ok with closing this now that there's an errata kernel with that fix ?
Comment 6 John Thacker 2006-05-05 09:02:30 EDT
Closing since an errata kernel with the fix has been released.

Note You need to log in before you can comment on or make changes to this bug.